pcl::features Namespace Reference

## Classes

struct | ISMModel
| The assignment of this structure is to store the statistical/learned weights and other information of the trained Implict Shape Model algorithm. More...
class | ISMVoteList
| This class is used for storing, analyzing and manipulating votes obtained from ISM algorithm. More...

## Functions

template<typename PointT , typename PointNT >
void | computeApproximateNormals (const pcl::PointCloud< PointT > &cloud, const std::vector< pcl::Vertices > &polygons, pcl::PointCloud< PointNT > &normals)
| Compute approximate surface normals on a mesh. More...
template<typename PointT , typename PointNT >
void | computeApproximateCovariances (const pcl::PointCloud< PointT > &cloud, const pcl::PointCloud< PointNT > &normals, std::vector< Eigen::Matrix3d, Eigen::aligned_allocator< Eigen::Matrix3d > > &covariances, double epsilon=0.001)
| Compute GICP-style covariance matrices given a point cloud and the corresponding surface normals. More...

## Function Documentation

## computeApproximateCovariances()

template<typename PointT , typename PointNT >

void pcl::features::computeApproximateCovariances | ( | const pcl::PointCloud< PointT > & | cloud,
|  | const pcl::PointCloud< PointNT > & | normals,
|  | std::vector< Eigen::Matrix3d, Eigen::aligned_allocator< Eigen::Matrix3d > > & | covariances,
|  | double | epsilon = `0.001`
| ) |  |

inline

Compute GICP-style covariance matrices given a point cloud and the corresponding surface normals.

Parameters

  [in] | cloud | Point cloud containing the XYZ coordinates,
  [in] | normals | Point cloud containing the corresponding surface normals.
  [out] | covariances | Vector of computed covariances.
  [in] | Optional | Epsilon for the expected noise along the surface normal (default: 0.001)

Definition at line 63 of file from_meshes.h.

References pcl::PointCloud< PointT >::points.

## computeApproximateNormals()

template<typename PointT , typename PointNT >

void pcl::features::computeApproximateNormals | ( | const pcl::PointCloud< PointT > & | cloud,
|  | const std::vector< pcl::Vertices > & | polygons,
|  | pcl::PointCloud< PointNT > & | normals
| ) |  |

inline

Compute approximate surface normals on a mesh.

Parameters

  [in] | cloud | Point cloud containing the XYZ coordinates.
  [in] | polygons | Polygons from the mesh.
  [out] | normals | Point cloud with computed surface normals

Definition at line 17 of file from_meshes.h.

References pcl::flipNormalTowardsViewpoint(), pcl::PointCloud< PointT >::header, pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::points, and pcl::PointCloud< PointT >::width.